package com.nisum.Junit;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.junit.jupiter.MockitoExtension;

@ExtendWith(MockitoExtension.class)
public class MockEmployeeTest {
    @Mock
    Employee mockEmployee;

    @BeforeEach
    public void setupMock(){
        mockEmployee = Mockito.mock(Employee.class);
        Mockito.when(mockEmployee.addEmployee()).thenReturn("Added Employee from Mock");
    }

    @Test
    public void testAddEmployee(){
        Assertions.assertEquals("Added Employee from Mock", mockEmployee.addEmployee());
    }
}
